#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Params
%define		pnam	Validate
Summary:	Params::Validate - validate method/function parameters
Summary(pl.UTF-8):	Params::Validate - sprawdzanie poprawności parametrów funkcji/metody
Name:		perl-Params-Validate
Version:	1.31
Release:	2
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Params/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ef5f57387c2c9032b59fb23023cf5b25
URL:		https://metacpan.org/release/Params-Validate
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build >= 0.3601
%if %{with tests}
BuildRequires:	perl-Attribute-Handlers >= 0.79
BuildRequires:	perl-Module-Implementation >= 0.04
BuildRequires:	perl-Scalar-List-Utils >= 1.10
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Test-Taint >= 0.02
%endif
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Params::Validate module allows you to validate method or function
call parameters to an arbitrary level of specificity.  At the simplest
level, it is capable of validating the required parameters were given
and that no unspecified additional parameters were passed in.

It is also capable of determining that a parameter is of a specific
type, that it is an object of a certain class hierarchy, that it
possesses certain methods, or applying validation callbacks to
arguments.

%description -l pl.UTF-8
Moduł Params::Validate pozwala na sprawdzanie poprawności parametrów,
z jakimi wywołana została funkcja lub metoda, na dowolnym poziomie
szczegółowości.  W najprostszym przypadku możliwe jest sprawdzenie,
czy podane zostały parametry wymagane i czy nie podano dodatkowych,
nie rozpoznawanych.

Potrafi także określić czy parametr jest konkretnego typu, czy jest
obiektem danej hierarchii, czy posiada zadane metody, lub przypisać
argumentom callbacki (a, i tak wszyscy wiedzą, o co chodzi... ;-> )
sprawdzające.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	--config cc="%{__cc}" \
	--config ld="%{__cc}" \
	--config optimize="%{rpmcflags}"

%{__perl} ./Build

%{?with_tests:%{__perl} ./Build test}

%install
rm -rf $RPM_BUILD_ROOT

%{__perl} ./Build install \
	destdir=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Params/Validate/XS/XS.bs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%dir %{perl_vendorarch}/Params
%{perl_vendorarch}/Params/Validate.pm
%{perl_vendorarch}/Params/ValidatePP.pm
%{perl_vendorarch}/Params/ValidateXS.pm
%{perl_vendorarch}/Params/Validate
%dir %{perl_vendorarch}/auto/Params
%dir %{perl_vendorarch}/auto/Params/Validate
%dir %{perl_vendorarch}/auto/Params/Validate/XS
%attr(755,root,root) %{perl_vendorarch}/auto/Params/Validate/XS/XS.so
%{_mandir}/man3/Params::Validate*.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Params-Validate.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 5fb7395
- perl 5.38.0 rebuild

* Tue Nov 01 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b4607c
- Up to 1.31

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 5e02026
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> a28fac8
- rebuild with perl 5.34.0

* Mon May 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 181d74b
- updated to 1.30

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> b88df13
- rebuild with perl 5.32

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 979c178
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4de6e77
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> c6c3333
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> ed581d9
- release 2

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 5336c21
- up to 1.29

* Thu Jun 22 2017 Jan Rękorajski <baggins@pld-linux.org> fa795e0
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 5495149
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e9c9514
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Sat Nov 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 7866440
- updated to 1.26
- Attribute::Params::Validate moved to separate spec (perl-Attribute-Params-Validate, latest version is 1.21)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 9a6353b
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c360396
- release 2 (by relup.sh)

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1679268
- up to 1.19

* Wed Mar 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 6adfd6d
- updated Test::More version

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 278cecc
- up to 1.18

